Loading...
Searching...
No Matches
AVD3D12VASyncContext Struct Reference

This struct is used to sync d3d12 execution. More...

`#include <libavutil/hwcontext_d3d12va.h>`

## Data Fields

ID3D12Fence * | fence
| D3D12 fence object.
HANDLE | event
| A handle to the event object that's raised when the fence reaches a certain value.
uint64_t | fence_value
| The fence value used for sync.

## Detailed Description

This struct is used to sync d3d12 execution.

Definition at line 84 of file hwcontext_d3d12va.h.

## Field Documentation

## fence

ID3D12Fence* AVD3D12VASyncContext::fence

D3D12 fence object.

Definition at line 88 of file hwcontext_d3d12va.h.

## event

HANDLE AVD3D12VASyncContext::event

A handle to the event object that's raised when the fence reaches a certain value.

Definition at line 94 of file hwcontext_d3d12va.h.

## fence_value

uint64_t AVD3D12VASyncContext::fence_value

The fence value used for sync.

Definition at line 99 of file hwcontext_d3d12va.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_d3d12va.h